Loading...
Searching...
No Matches
OgreProperty.h File Reference
`#include "OgrePropertyPrerequisites.h"`
`#include "OgreAny.h"`
`#include "OgreString.h"`
`#include "OgreException.h"`
`#include "OgreQuaternion.h"`
`#include "OgreMatrix4.h"`
`#include <functional>`
`#include <sstream>`

## Classes

class | Ogre::Property< T >
| Property instance with passthrough calls to a given object. More...
class | Ogre::PropertyBase
| Base interface for an instance of a property. More...
class | Ogre::PropertyDef
| Definition of a property of an object. More...
class | Ogre::PropertySet
| Defines a complete set of properties for a single object instance. More...
struct | Ogre::PropertyValue
| A simple structure designed just as a holder of property values between the instances of objects they might target. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef GeneralAllocatedObject | Ogre::PropertyAlloc
typedef std::map< String, PropertyDef > | Ogre::PropertyDefMap
| Map from property name to shared definition.
typedef std::map< String, PropertyValue > | Ogre::PropertyValueMap
| Defines a transferable map of properties using wrapped value types (Ogre::Any).

## Enumerations

enum

Ogre::PropertyType {
Ogre::PROP_SHORT = 0 , Ogre::PROP_UNSIGNED_SHORT = 1 , Ogre::PROP_INT = 2 , Ogre::PROP_UNSIGNED_INT = 3 ,
Ogre::PROP_LONG = 4 , Ogre::PROP_UNSIGNED_LONG = 5 , Ogre::PROP_REAL = 6 , Ogre::PROP_STRING = 7 ,
Ogre::PROP_VECTOR2 = 8 , Ogre::PROP_VECTOR3 = 9 , Ogre::PROP_VECTOR4 = 10 , Ogre::PROP_COLOUR = 11 ,
Ogre::PROP_BOOL = 12 , Ogre::PROP_QUATERNION = 13 , Ogre::PROP_MATRIX3 = 14 , Ogre::PROP_MATRIX4 = 15 ,
Ogre::PROP_UNKNOWN = 999
}

| The type of a property. More...